Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.monitor.parser
Class ParserImpl

    java.lang.Object
      org.apache.jmeter.monitor.parser.ParserImpl

All Implemented Interfaces:
  Parser

Direct Known Subclasses:
  ObjectFactory.MonitorParser

    public abstract class ParserImpl

extends Object
implements Parser

Constructor Summary
`ParserImpl(ObjectFactory factory)`

Method Summary
`Status` | `parseBytes(byte[] bytes)` parse byte array and return Status object
`Status` | `parseSampleResult(SampleResult result)`
`Status` | `parseString(String content)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParserImpl

    public ParserImpl(ObjectFactory factory)

Method Detail

### parseBytes

    public Status parseBytes(byte[] bytes)

  parse byte array and return Status object

  Specified by:
    `parseBytes` in interface `Parser`
  Parameters:
    `bytes` -
  Returns:
    Status

### parseString

    public Status parseString(String content)

  Specified by:
    `parseString` in interface `Parser`
  Parameters:
    `content` -
  Returns:
    Status

### parseSampleResult

    public Status parseSampleResult(SampleResult result)

  Specified by:
    `parseSampleResult` in interface `Parser`
  Parameters:
    `result` -
  Returns:
    Status

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.